curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client": {
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": {
"publicJwks": "aSDinaTvuI8gbWludGxpZnk="
}
},
"displayName": "<string>",
"redirectUris": [
"<string>"
]
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients"
payload = { "client": {
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": { "publicJwks": "aSDinaTvuI8gbWludGxpZnk=" }
},
"displayName": "<string>",
"redirectUris": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client: {
authentication: {
clientSecretBasic: {},
clientSecretPost: {},
none: {},
privateKeyJwt: {publicJwks: 'aSDinaTvuI8gbWludGxpZnk='}
},
displayName: '<string>',
redirectUris: ['<string>']
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/sso/applications/{id}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client": {
"appId": "<string>",
"authentication": {
"clientSecretBasic": {},
"clientSecretPost": {},
"none": {},
"privateKeyJwt": {
"publicJwks": "aSDinaTvuI8gbWludGxpZnk="
}
},
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"redirectUris": [
"<string>"
],
"ssoApplicationId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"clientSecret": "<string>"
}Create Client
CreateClient mints an additional App-owned OAuth client for an OIDC application. C1 generates the client ID and any confidential-client secret.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Application that owns the SSO application.
SSO application that will govern this client.
Body
SSOApplicationServiceCreateClientRequest mints an additional App-owned client. The caller supplies configuration, never a client ID.
SSOApplicationOIDCClientConfig is the administrator-supplied configuration from which C1 mints an App-owned OAuth client. The client ID is never input.
Show child attributes
Show child attributes
Response
SSOApplicationServiceCreateClientResponse contains the generated client and its one-time secret, when applicable.
SSOApplicationServiceCreateClientResponse contains the generated client and its one-time secret, when applicable.
Was this page helpful?